package dk.nsp.idsas.test.util;

import dk.nsp.test.idp.CitizenIdentities;
import dk.nsp.test.idp.EmployeeIdentities;
import dk.nsp.test.idp.OrganizationIdentities;
import dk.nsp.test.idp.model.Identity;

public class TestIdentities {
    public static Identity identityFor(String userType) {
        switch (userType) {
            case "borger":
                return CitizenIdentities.adaLovelace("https://fmk");
            case "sundhedsfaglig":
                return EmployeeIdentities.lægeCharlesBabbage();
            case "systembruger":
                return OrganizationIdentities.sundhedsdatastyrelsen();
            default:
                throw new RuntimeException("Unknown user type " + userType);
        }
    }
}
